Last Comment Bug 282841 - cannot copy address from address book to a mailing list with mailing list open
: cannot copy address from address book to a mailing list with mailing list open
Status: NEW
workaround comment 15
: qawanted
Product: Thunderbird
Classification: Client Software
Component: Address Book (show other bugs)
: Trunk
: All All
: -- normal with 9 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
: 274973 286818 (view as bug list)
Depends on: 135126
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-19 06:06 PST by kevin staker
Modified: 2014-09-04 13:30 PDT (History)
14 users (show)
dmose: blocking‑thunderbird3.0a1-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description kevin staker 2005-02-19 06:06:32 PST
User-Agent:       Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)
Build Identifier: Thunderbird 1.0

cannot copy one, much less many, address from an address book to a mailing 
list.  Apparently have to re-type each address into the mailing list.  In 
Netscape 4.* could select multiple, especially all, addresses in an address 
book to then make a mailing list to send a message to many or all in the 
address book.
Otherwise, an absolutely marvelous program.
almost surely someone else has reported long ago.  I just cannot see in the 
reported bugs.

keep up the great work!

Reproducible: Always

Steps to Reproduce:
1.open address book
2.select new mailing list
3.try to click on any address in the address book to try to copy
4.get an error sound

Actual Results:  
error sound

Expected Results:  
allow to select any or all addresses and copy to the new mailing list
Comment 1 OstGote! 2005-02-21 02:58:56 PST
xref Bug 115904.
Comment 2 joelgbox-1 2005-04-05 12:05:52 PDT
In fact, one is unable to simple copy an e-mail address from the address book
even as plain text. The "Card For..." pane does not allow the selection and/or
copying of any of its text; nor does the pane above (listing the matching e-mail
addresses) allow copying. Without this ability, it is very difficult to simply
and easily grab e-mail addresses to paste into the body of an e-mail (e.g., when
sending a 3rd-party's e-mail address to a friend.)
Comment 3 Wayne Mery (:wsmwk, NI for questions) 2005-08-31 11:48:25 PDT
(In reply to comment #0)
>
> cannot copy one, much less many, address from an address book to a mailing 
> list.  Apparently have to re-type each address into the mailing list.  

workaround partly described in bug 274973 ... drag and drop works if the mailing
list is NOT opened for edit. In other words, click an address book and expand it
(plus sign) so the mailing lists are visible on the left.  click and hold (drag
and drop) an address entry from the address book into the mailing list (copy and
paste does not work).  Many addresses may be done at a time using ctrl-click.



(In reply to comment #2)
> In fact, one is unable to simple copy an e-mail address from the address book
> even as plain text. 

this is a different bug. (


In reply to comment #1)
> xref Bug 115904.

in fact it is bug 135126 that describes the behavior that the author wants.
Comment 4 rabbitambulance 2006-03-16 03:18:30 PST
The workaround is good and all, but it's terribly counterintuitive.
Comment 5 Wayne Mery (:wsmwk, NI for questions) 2006-03-16 06:59:51 PST
(In reply to comment #4)
> The workaround is good and all, but it's terribly counterintuitive.

perhaps more obscure than counterintuitive - it does after all work just like moving a message to a folder in the 3-pane mail window.

workaround simplified:
1. click address book and click plus sign to expand it to show mailing lists 
on the left
2. on the right, click, drag and drop an address entry to a mailing list on the left 

do multiple addresses with one D&D by ctrl-click or shift click, then drag
Comment 6 Wayne Mery (:wsmwk, NI for questions) 2006-03-16 07:01:15 PST
*** Bug 274973 has been marked as a duplicate of this bug. ***
Comment 7 rabbitambulance 2006-03-16 08:10:28 PST
Frankly, people who are not "l33t" enough to read bugzilla are simply not going to figure this out. They'll go to "add list", try (invain) to move addresses from the address book to the window that pops up, resign, and start typing the damn things by hand.
Comment 8 Bruce Button 2006-05-17 11:47:27 PDT
I'm also having a problem with mailing lists. Most of the time, most address cards can be copied to the mailing lists. However, there are some addresses that just won't be added to certain lists. I have tried to determine if there is something about those address cards that prevents them being added. I have noticed that the lack of an email address does prevent them from being added. Other than that, I cannot figure out why some can be added and some not.
Another thing that sometimes happens is that, instead of simply including the complete address card in the mailing list, a new address card is created with only the email address field. Then the address book has an extra card for the same person and this card is included in the mailing list.

Apart from this, I think TB is an excellent mail programme. Yet this is a fairly critical issue for me.

PC; Windows XP Pro; TB 1.5.0.2
Comment 9 Wayne Mery (:wsmwk, NI for questions) 2006-05-26 12:01:42 PDT
Kevin, 
you need to provide more detail.  there are several mailing list bugs, so this may be a duplicate.  but your description is not detailed enough to say exactly what problems you have.  Also, some bugs have been fixed in the trunk build, so you might try http://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/latest-trunk/ and report back.
Comment 10 Wayne Mery (:wsmwk, NI for questions) 2006-08-30 10:03:06 PDT
*** Bug 286818 has been marked as a duplicate of this bug. ***
Comment 11 Wayne Mery (:wsmwk, NI for questions) 2006-12-19 12:17:36 PST
Kevin, reporter, is gone
Comment 12 David J. Marcus 2006-12-19 13:00:46 PST
My original request is to be able to copy members of one email list into another.

Intuitively, I want to create a new list and either Drag & Drop from the address book onto the new list or start with a copy of the old list.

Also, I have many lists that are very similar to each other. I need to be able to create a new email distribution list by copying some (or all) entries from an existing list.

Right now the best I can do is open an existing list, highlight one item, copy to clipboard, close the list, open the target list, paste the new contact to the end of the list, close the new list AND REPEAT for each entry in the 'source' list. This is OK for one or two email ids, but not for 10, 20 or 100.

-TIA
David
Comment 13 Peter Jaspers-Fayer 2007-05-14 13:45:09 PDT
Since installing 2.0 (sorry, please correct me if (as I suspect), I'm leaving this in the wrong place), I can no longer drop address into a list.
Comment 14 Adam Thorp 2007-06-14 02:23:10 PDT
> workaround simplified:
> 1. click address book and click plus sign to expand it to show mailing lists 
> on the left
> 2. on the right, click, drag and drop an address entry to a mailing list on the
> left 

Am I doing something wrong, here? I am trying to drag an address from an address book to a list, but Thunderbird won't let me do that. The list does not get highlighted when I drag the address card over it, the way another address book does.

(Just to ensure that I have the terminology right (I am running the Swedish version of Thunderbird): a "list" is a series of addresses that can be entered in e.g. the "To:" field, right? In other words, I can simply type in "gaming" in the "To:" field and all the addresses that I have entered on the list "gaming" will be added as recipients. Am I correct in this?)
Comment 15 Wayne Mery (:wsmwk, NI for questions) 2007-06-14 03:31:44 PDT
With the AB improvements of version 2 the workaround now requires CTRL-click then drag to copy a contact. In TB 2 drag without ctrl is now a move, which you found is an invalid action when going to a mailing list.

workaround:
1. click address book and click plus sign to expand it to show mailing lists 
on the left
2. on the right ctrl-click an address entry, then drag and drop to a mailing list on the left 

likewise multiple addresses with one D&D - ctrl-click or shift click to select multiple addresses, and use ctrl-click, then drag and drop to a mailing list on the left
Comment 16 Miles 2008-04-06 21:12:26 PDT
I have read 13 relative bugs and will comment here as it appears to be the most applicable.  If some comments are new, or a dupe, or belong to another bug, please advise.   Using WinXP Home SP2 with TB 2.0.0.12.  

A great deal of work has been put into this dragging difficulty and most has been corrected! Thank you!!   And it should be included in Help or wherever you deem most users look so that all will know how to use the address book.

Address books problems remaining:
1)   Cannot have an AB list with the same name as a PAB list.
2)   An AB list cannot have a sub-list.
3)   A PAB list cannot have a sub-list.   That forces me to have separate AB's  that are partial dupes of the PAB to allow a list in lieu of a sub-list for the PAB.  This causes critical errors because changes in the PAB do not result in the same changes to an AB or an AB list.
4)   All too frequently drag or cntrl/drag fails and no warning is given.  Restarting TB repairs it (I didn't check CPU usage). 

After playing with this most of the day, I'll summarize the current working of drag and drop:

All Drag or Cntrl/Drag result in Copy except Drag (without Cntrl) PAB to AB, AB to PAB, and AB to AB results in Move.  All copies are with the +, except drag PAB to List is without, and all moves are without the +.  

This covers all PAB to PAB list, (cannot copy/move list to PAB which is understandable), PAB to AB, AB to PAB, AB to AB, PAB list to PAB list, AB list to PAB list and AB list to AB list.
Comment 17 Mark Banner (:standard8, afk until Dec) 2008-04-07 00:53:45 PDT
(In reply to comment #16)
> I have read 13 relative bugs and will comment here as it appears to be the most
> applicable.  If some comments are new, or a dupe, or belong to another bug,
> please advise.   Using WinXP Home SP2 with TB 2.0.0.12.  

Most of your comments are dealt with by various other bugs (more than one), none of them directly relate to this bug. As you seem to know about them already, I'm not going to bother listing them here.

> 1)   Cannot have an AB list with the same name as a PAB list.
...
> 3)   A PAB list cannot have a sub-list.   That forces me to have separate AB's 
> that are partial dupes of the PAB to allow a list in lieu of a sub-list for the
> PAB.  This causes critical errors because changes in the PAB do not result in
> the same changes to an AB or an AB list.

AFAIK no one else has had problems creating a PAB with a sub-list, and in fact you are contradicting your statement 1. This should be covered in a new bug if its really a problem. 

> 4)   All too frequently drag or cntrl/drag fails and no warning is given. 

The feedback is the item you are dragging "returning" to where you dragged it from. Additionally you'll notice that the folder name only gets highlighted where a valid drop is allowed.
Comment 18 Miles 2008-04-07 08:43:34 PDT
1)   Mark, are you saying that 1) is possible?  Not on my computer for I tried it several times yesterday.
3)   Perhaps you didn't understand my term "sub-list."   I mean a list within a list. In other words, PAB has a list, and that particular list contains additional lists.  Are you saying that is possible?  If so, how, for I cannot find a method; Or does this require a new bug?

4)   Yes, the folder being dragged to becomes highlighted.  But the card is not dragged, it remains in the original location only.  This will start with one instance and then continue with the same result until TB is restarted.

My summary of the current workings is not necessarily a complaint to carry on to other previously filed bugs, rather a satisfaction that I've finally worked it out after reading many bugs -- and hoping it will be put into writing in one place for all to use.  A pity that the move/copy business couldn't be made uniform.
Comment 19 Mark Banner (:standard8, afk until Dec) 2008-04-08 00:42:03 PDT
(In reply to comment #18)
> 1)   Mark, are you saying that 1) is possible?  Not on my computer for I tried
> it several times yesterday.

No, 1) isn't possible - my confusion here was I didn't understand your item 3 correctly.

> 3)   Perhaps you didn't understand my term "sub-list."   I mean a list within a
> list. In other words, PAB has a list, and that particular list contains
> additional lists.  Are you saying that is possible?  If so, how, for I cannot
> find a method; Or does this require a new bug?

No, its not possible, the bug exists (bug 40301).

> 4)   Yes, the folder being dragged to becomes highlighted.  But the card is not
> dragged, it remains in the original location only.  This will start with one
> instance and then continue with the same result until TB is restarted.

This sounds like some of the mailing list issues that we know about.

> My summary of the current workings is not necessarily a complaint to carry on
> to other previously filed bugs, rather a satisfaction that I've finally worked
> it out after reading many bugs -- and hoping it will be put into writing in one
> place for all to use.  A pity that the move/copy business couldn't be made
> uniform.

That's due to bug 349044.

Please do any other discussion relating to these problems in news://news.mozilla.org/mozilla.dev.apps.thunderbird - this bug certainly isn't the correct place.
Comment 20 Dan Mosedale (:dmose) 2008-04-14 12:05:09 PDT
3.0alpha1 is mostly time-based.  This definitely doesn't block that.  I'd be interested to hear Standard8's thoughts on whether it should block Tb3 (I suspect it shouldn't).
Comment 21 Mark Banner (:standard8, afk until Dec) 2008-04-14 12:12:41 PDT
(In reply to comment #20)
> 3.0alpha1 is mostly time-based.  This definitely doesn't block that.  I'd be
> interested to hear Standard8's thoughts on whether it should block Tb3 (I
> suspect it shouldn't).
> 
For comments 0 to 15, if they are still valid then we I would like to get a clear description of the faults, and how to reproduce. I can't assess this bug otherwise.

Comment 22 Dan Mosedale (:dmose) 2008-04-14 12:23:29 PDT
As it stands, then, this bug can't possibly block.  Feel free to renominate if that changes.
Comment 23 Miles 2009-08-29 16:32:30 PDT
This continues to drive me buggy for about 5 years.   It continues that frequently cannot copy a card from the PAB to another AB.  Usually, but not always can 1st copy from the PAB to a list included in the PAB, then copy from there to another AB.  But then it isn't copied, it is usually moved, so then need to copy it back to the list under the PAB.

Today spent 3 hours attempting to add a half a dozen addresses and could not complete and will not waste any more time.  Will no longer use TB AB and will use the one in Windows -- presumably that also means that I won't be using TB to send/receive mail since there the addresses are not accurate.  Sorry to say adios!
Comment 24 Miles 2009-08-31 13:14:08 PDT
Have finally succeeded in getting 6 moved, but the 7th won't budge.  It's in the PAB as well as 3 other AB's.  But it will not move/copy from PAB or the other books to any of 3 lists under the PAB.

Have tried:
1)   Deleting & replacing the original card.
2)   Copying by dragging from PAB & other AB's.
3)   Moving with control/drag from PAB & other AB's.
4)   Exporting the card, then importing.  But no way to import a single card!
5)   Making a new card in one of PAB's lists, but it goes into the PAB as a duplicate, not the list.

And if related I should point out that the only reason the other books are there is that sub-lists are not possible.  This alone causes far too much extra work to correct every entry.

The lists must be used before next weekend so apparently it's time to start importing all to another program to use for business email Friday.
Comment 25 kst 2010-01-07 05:23:31 PST
(In reply to comment #8)
> I'm also having a problem with mailing lists. Most of the time, most address
> cards can be copied to the mailing lists. However, there are some addresses
> that just won't be added to certain lists. I have tried to determine if there
> is something about those address cards that prevents them being added. I have
> noticed that the lack of an email address does prevent them from being added.
> Other than that, I cannot figure out why some can be added and some not.
> Another thing that sometimes happens is that, instead of simply including the
> complete address card in the mailing list, a new address card is created with
> only the email address field. Then the address book has an extra card for the
> same person and this card is included in the mailing list.
> 
> Apart from this, I think TB is an excellent mail programme. Yet this is a
> fairly critical issue for me.
> 
> PC; Windows XP Pro; TB 1.5.0.2

I have made the same experience, that lack of email address makes it impossible to add an entry in a mailing list (most of time). 
Workaround:
With a fake email address the entry would copy, afterwards you may remove the address.
Comment 26 Miles 2010-12-05 17:53:25 PST
For awhile I could drag an address card from the PAB to a list or another address book.  However, with TB 3.1.6, and perhaps prior,  that ability has been lost.

A card can be dragged (copied) from the PAB to another AB, but not from the PAB to a list within the PAB.  I've tried cntrl/drag, shift/drag, and cntrl/shift/drag.  The card is highlighteed in the right window (PAB) and it drags with a + sign to an AB on the left column, but does not drop.   Has a new method been developed, or has this bug simply reappeared with an update?
Comment 27 Miles 2010-12-05 17:55:06 PST
correction:  Meant to say .... with a + sign to a list in the left column ..." not "an AB"...
Comment 28 Miles 2011-04-28 18:21:00 PDT
Still on FF 3.6.16 and using WinXP, not 7 and it works most of the time.  Have found that if it doesn't work,closing and opening FF usually fixes it.
Comment 29 Pander 2011-12-29 05:13:44 PST
(indentations below are only for readability and should not be implemented as such)

Workaround in comment 15 with dragging a multiple select from address book to any text-pastable destination results in:
  DisplayName <Email>, DisplayName <Email>, DisplayName <Email>
without a trailing return

I would like to suggest the following cases.

1a) drag (has plus on pointer) (already implemented)
  DisplayName1 <Email1>, DisplayName2 <Email2>, DisplayName3 <Email3>
without a trailing new line
1b) CTRL+C CTRL+V same as 1a (to be implemented)

2a) SHIFT+drag (has arrow on pointer) (to be implemented)
  DisplayName1 <Email1>(newline)
  DisplayName2 <Email2>(newline)
  DisplayName3 <Email3>(newline)
with a trailing newline
2b) CTRL+SHIFT+C CTRL+V same as 2a (to be implemented)

3a) CTRL+SHIFT+drag (has link on pointer) (to be implemented)
with a trailing newline
  Email1(newline)
  Email2(newline)
  Email3(newline)
3b) CTRL+ALT+SHIFT+C CTRL+V) same as 3a (to be implemented)

The shortcuts should also be added as menu items to the Address Book Edit menu:
  Copy Names and Addresses CSV     CTRL+C
  Copy Names and Addresses         CTRL+SHIFT+C
  Copy Addresses                   CTRL+ALT+SHIFT+C
If CTRL+C will also support other functions (copy cards between address books) please only list:
  Copy                             CTRL+C
  Copy Names and Addresses         CTRL+SHIFT+C
  Copy Addresses                   CTRL+ALT+SHIFT+C
Comment 30 Pander 2011-12-29 05:16:56 PST
Perhaps this is better:

The shortcuts should also be added as menu items to the Address Book Edit menu:
  Copy Name and Email CSV     CTRL+C
  Copy Name and Email         CTRL+SHIFT+C
  Copy Email                  CTRL+ALT+SHIFT+C
If CTRL+C will also support other functions (copy cards between address books) please only list:
  Copy                        CTRL+C
  Copy Name and Email         CTRL+SHIFT+C
  Copy Email                  CTRL+ALT+SHIFT+C

Of couse this should be documented clearly in the manual too.
Comment 31 kst 2011-12-29 08:37:43 PST
Referring to #8 and my previous #25 and all the workarounds - it does not work:
If an address is attempted to be dropped into list, it is sometimes copied, sometimes not - no message given, no error.
What Bruce (#8) has suggested, generally works, but unfortunately not always.
In order produce this bug, do this:
1. Create 4 addresses in your address book. The first two should contain an e-mail address, the third one just a name and a telephone number but NO e-mail. The fourth one should again be a "complete" address with name and e-mail.
2.Create an empy list under the same address book.
3.Mark the four addesses
4. drag them into the list just created.

What you see is:
Open the list. The first two addresses are copied, not the fourth. Click properties of the list: you see two addresses, one blank address and the fourth address.
When you try to close the properties window, you may have to click "ok" more then once to have this window closed. All three addresses with e-mail address are now shown in the list, the "blank" address has disappeared (and replaced by the fourth address which has been moved one position upwards)
From then on the new list behaves in an unpredictable way: when you repeat the procedure mentioned above with other addresses the result of the copy paste is unpredictable and generally wrong.

I suspect that the "empty" addresses (in fact they are empty only with regards to the lack of an e-mail) are causing this confusion because after "compacting" the list (this is done without user action) pointers to addresses in the address book may be confused.

TB 9.01 Win XP SP3
Comment 32 Miles 2012-03-26 19:53:57 PDT
This has reared it's ugly head again in version 10.0.2 and I believe version 9x.  

An address card cannot be dragged from the PAB to a list within the PAB.  I've tried drag, cntrl/drag, shift/drag, and cntrl/shift/drag.  The card is highlighted in the right window (PAB) and it drags with a + sign to a list in the left column, but does not drop.  

There is no difficulty dragging from the PAB to another AB using cntrl/drag.
Comment 33 Miles 2012-03-26 19:55:23 PDT
Neglected to ask if this could be relative to use of Win7 Pro 64bit?
Comment 34 Mark Banner (:standard8, afk until Dec) 2012-03-27 00:12:19 PDT
(In reply to Miles from comment #32)
> This has reared it's ugly head again in version 10.0.2 and I believe version
> 9x.  
> 
> An address card cannot be dragged from the PAB to a list within the PAB. 
> I've tried drag, cntrl/drag, shift/drag, and cntrl/shift/drag.  The card is
> highlighted in the right window (PAB) and it drags with a + sign to a list
> in the left column, but does not drop.  

If you haven't got the mailing list dialog actually open, then you are not seeing this bug. Please file a new bug. I would note that it works fine for me in TB 12 beta.
Comment 35 kst 2012-03-27 04:16:53 PDT
Bug 248786 same problem
Comment 36 Miles 2012-03-27 04:22:09 PDT
Not certain what is meant by "mailing list dialogue actually open."   The PAB is open and the particular address is highlighted.   And now I notice two things different:  1)  There is no + sign while dragging to a PAB list unless Cntrl is held down.   2)  There is a drop down in the upper right of the card I'm attempting to drag and both the PAB and the list Personal are checked.  Yet it still is not being dragged and copied to Personal.  (And I've tried with few different cards to ensure it isn't one defective card.)

Also tried in safe mode to no avail.
Comment 37 Miles 2012-03-27 04:28:19 PDT
Am almost happy that I'm not the only one seeing this!!
Comment 38 Mark Banner (:standard8, afk until Dec) 2012-03-27 04:45:05 PDT
(In reply to Miles from comment #36)
> Not certain what is meant by "mailing list dialogue actually open."

You double-click on the mailing list entry. It opens a new window where you can edit the specific details.

Please upgrade to Thunderbird 11 and try it there. If that doesn't fix it, please file a separate bug as your issue is not the same as this one.
Comment 39 Miles 2012-04-09 07:09:53 PDT
Finally found time to upgrade from 10 to 11.01 and it works!!!

What I don't understand is why so many upgrades cause it to fail and then I can't use TB for awhile.   For instance, this time I am changing contacts, kept mail, and live mail to Google expecting to keep the mobile in sync (Samsung) with TB & Google on the web.  However this was not possible until this evening when I could view and compare an address book with a list -- fortunately I had made dupes of all lists by also making identical AB's.  If this hadn't worked tonight I would have needed to merge addresses using another program and probably stayed with that program.

Note You need to log in before you can comment on or make changes to this bug.